# https://github.com/gofrs/flock
%global goipath		github.com/gofrs/flock
Version:	0.7.1

%gometa

%global common_description %{expand:
Thread-safe file locking library in Go
}
%global golicenses    LICENSE

Name:		%{goname}
Release:	1%{?dist}
Summary:	Thread-safe file locking library in Go
License:	BSD
URL:		%{gourl}
Source0:	%{gosource}

# The package was renamed from github.com/theckman/go-flock to
# github.com/gofrs/flock
Provides: golang(github.com/theckman/go-flock) = %version

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%gopkgfiles


%changelog
* Fri Jan 24 2020 Jared Smith <jsmith@fedoraproject.org> - 1.0.22-1
- Initial packaging for Fedora
